Subject: [PATCH v3 0/8] arm64: rockchip: Initial GeekBox enablement

From: [email-masked] (Andreas Färber)
Date: Mon, 7 Mar 2016 18:15:53 +0100

Am 07.03.2016 um 16:52 schrieb Giuseppe CAVALLARO:
> On 3/7/2016 4:46 PM, Andreas F?rber wrote:
>> Am 07.03.2016 um 16:09 schrieb Giuseppe CAVALLARO:
>>> On 3/7/2016 3:27 PM, Andreas F?rber wrote:
>>>> Indeed, reverting Gabriel's commit fixes the observed error messages
>> [...]
>>>> However, I am unable to ping any hosts on the network now.
>>>
>>> hmm, this could be another problem. I wonder if you can
>>> check which recent patch is introducing the problem on ARM64.
>>> For example if this depends on Oct_2015 update.
>>
>> I've had success reverting drivers/net/ethernet/stmicro/ up to and
>> including "stmmac: first frame prep at the end of xmit routine", i.e.
>> top 7 commits.
> 
> Andreas, I will check it and let you know asap.

I verified that it's just these two commits that I need to revert:

"stmmac: Fix 'eth0: No PHY found' regression"
"stmmac: first frame prep at the end of xmit routine"

Those in between don't cause conflicts and seem to work okay.

Andreas

-- 
SUSE Linux GmbH, Maxfeldstr. 5, 90409 N?rnberg, Germany
GF: Felix Imend?rffer, Jane Smithard, Graham Norton; HRB 21284 (AG N?rnberg)